# GCC_RosterUpdateIndication_nodeInformation_nodeRecordList Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_noChange, e_refresh, e_update }

## Public Member Functions

| GCC_RosterUpdateIndication_nodeInformation_nodeRecordList (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_refresh & ()
| operator const GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_refresh & () const
| operator GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update & ()
| operator const GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_RosterUpdateIndication_nodeInformation_nodeRecordList::Choices

Enumerator:

  e_noChange |
  e_refresh |
  e_update |

## Constructor & Destructor Documentation

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList::GCC_RosterUpdateIndication_nodeInformation_nodeRecordList | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList::operator GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_refresh & | ( |  | ) |

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList::operator const GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_refresh & | ( |  | ) | const

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList::operator GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update & | ( |  | ) |

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList::operator const GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update & | ( |  | ) | const

PBoolean GCC_RosterUpdateIndication_nodeInformation_nodeRecordList::CreateObject | ( |  | ) |

PObject* GCC_RosterUpdateIndication_nodeInformation_nodeRecordList::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h